Spark Logistics


Bright Spark in Virtual Trucking

It's time to downgrade!

TruckersMP does not support the latest game version of Euro Truck Simulator 2 or American Truck Simulator yet.
Check out the following guide on how to downgrade so you can keep playing on multiplayer:
How to downgrade

Information


Tag: SPARK
Language: English
Created: 14 Jul 2019 06:52 UTC
Supported Games
Euro Truck Simulator 2
American Truck Simulator
Owner: Dopaa
Members: 142
Recruitment: Open

Our Gallery

  • darkblurbg
  • darkblurbg
  • darkblurbg
  • darkblurbg
View more

Latest VTC Posts

Upcoming Spark Logistics Official ATS convoy on 02/23/2020

- American Truck Simulator Convoy

17 Feb 08:29 UTC   |   N0fear92

Upcoming Spark Logistics Official ETS2 Convoy on 02/22/2020

- Euro Truck Simulator 2 Convoy

17 Feb 08:28 UTC   |   N0fear92

Upcoming Spark Logistics Official ATS convoy on 02/16/2020

- American Truck Simulator Convoy

10 Feb 08:53 UTC   |   N0fear92

Upcoming Spark Logistics Official ETS2 Convoy on 02/15/2020

- Euro Truck Simulator 2 Convoy

10 Feb 08:52 UTC   |   N0fear92

Upcoming Spark Logistics Official ATS convoy on 02/9/2020

- American Truck Simulator Convoy

03 Feb 18:47 UTC   |   N0fear92

Rules

CONTACT US

Want to know more information or have a question?

By Website

Requirements

You must meet these requirements to apply for Spark Logistics


  • You must be at least 16 years old.
  • You must be able to communicate in English properly.
  • You must have at least 100 hours of playtime either in Euro Truck Simulator 2 or American Truck Simulator.
  • You must not have joined and left many VTCs recently.
  • You must have no active bans.

Members

Sklander
Sklander
General Manager
Dopaa
Dopaa
DeveIoper
ffracing75
ffracing75
Media Manager
purplereindeer101
purplereindeer101
Recruitment Manager
N0fear92
N0fear92
Event Manager
agcolem
agcolem
Media Team
View more